//////////////////////////////////////////////////////////////
//  MyGUI v2.0
//  Copyright, 2007, Martin Laflamme, all rights reserved
//////////////////////////////////////////////////////////////
//  Windows API Definition
//////////////////////////////////////////////////////////////

#define WM_GETMINMAXINFO    0x0024

struct POINT
{
	INT x;
	INT y;
}

struct MINMAXINFO
{
	POINT ptReserved;
	POINT ptMaxSize;
	POINT ptMaxPosition;
	POINT ptMinTrackSize;
	POINT ptMaxTrackSize;
}

struct NOTIFYICONDATA
{
	INT cbSize;
	INT hwnd;
	INT uId;
	INT uFlags;
	INT uCallBackMessage;
	INT hIcon;
	STRING szTip;
}

//constantes requises par l'appel API Shell_NotifyIcon :
#define NIM_ADD          0x0
#define NIM_MODIFY       0x1
#define NIM_DELETE       0x2
#define NIF_MESSAGE      0x1
#define NIF_ICON         0x2
#define NIF_TIP          0x4
#define WM_MOUSEMOVE     0x200
#define WM_LBUTTONDOWN   0x201
#define WM_LBUTTONUP     0x202      
#define WM_LBUTTONDBLCLK 0x203   
#define WM_RBUTTONDOWN   0x204     
#define WM_RBUTTONUP     0x205       
#define WM_RBUTTONDBLCLK 0x206   

declare import,Shell_NotifyIconA(unsigned int dwMessage, NOTIFYICONDATA *lpData),INT; 
declare import,SetForegroundWindow(unsigned int hWnd),INT;
declare import,SendMessage alias "SendMessageA" (unsigned int hWnd, unsigned int uMsg, unsigned int wParam, unsigned int lParam), unsigned int;
declare import,RtlMoveMemory(dest as int,source as int,size as int);
//Declare import,DragQueryFile ALIAS DragQueryFileA(int hdrop, Unsigned int aUINT, STRING STR, int CH),Unsigned Int;
//Declare import,FormatMessageA(INT dwFlags, INT lpSource, INT dwMessageId, INT dwLanguageId, STRING lpBuffer, INT nSize, INT Arguments),INT;
//Declare Import,RtlZeroMemory(Unsigned int dat, int length),int;
//Declare import,lstrcmpi(Unsigned int string1, Unsigned int string2),INT;